Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.ui.table
Class IXTreeTableNode

    java.lang.Object
      ix.iface.ui.table.IXTreeTableNode

All Implemented Interfaces:
  javax.swing.tree.TreeNode

Direct Known Subclasses:
  AgendaItemTableModel.TreeAgendaItem, IXTNTreeTableNode

    public abstract class IXTreeTableNode

extends java.lang.Object
implements javax.swing.tree.TreeNode

An abstract class that is wrapped around objects to provide the TreeNode interface and to hold information about identity in the tree (parent-line) and expansion information (indentation, the node is expanded or not).

Implement the TreeNode interface in any non-abstract sub-class. Use IXTNTreeTableNode for wrapping TreeNode objects.

Field Summary
`boolean` | `expanded`
`int` | `indent`
`java.util.List` | `kids`
`AbstractTreeTableModel` | `model`
`java.lang.Object` | `node`
`java.util.LinkedList` | `parentLine`

Constructor Summary
`IXTreeTableNode(AbstractTreeTableModel model, java.lang.Object theNode)`
`IXTreeTableNode(AbstractTreeTableModel model, java.lang.Object theNode, java.util.List theParents)`
`IXTreeTableNode(AbstractTreeTableModel model, java.lang.Object theNode, java.util.List theParents, int n)`

Method Summary
`boolean` | `equals(IXTreeTableNode n)`
`java.util.List` | `getParents()`
`void` | `setExpanded(boolean isExpanded)`
`void` | `setParents(java.util.List parents)`
`java.lang.String` | `toDebug()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.tree.TreeNode
`children, getAllowsChildren, getChildAt, getChildCount, getIndex, getParent, isLeaf`

Field Detail

### node

    public java.lang.Object node

### parentLine

    public java.util.LinkedList parentLine

### indent

    public int indent

### expanded

    public boolean expanded

### kids

    public java.util.List kids

### model

    public AbstractTreeTableModel model

Constructor Detail

### IXTreeTableNode

    public IXTreeTableNode(AbstractTreeTableModel model,
                           java.lang.Object theNode)

### IXTreeTableNode

    public IXTreeTableNode(AbstractTreeTableModel model,
                           java.lang.Object theNode,
                           java.util.List theParents)

### IXTreeTableNode

    public IXTreeTableNode(AbstractTreeTableModel model,
                           java.lang.Object theNode,
                           java.util.List theParents,
                           int n)

Method Detail

### setExpanded

    public void setExpanded(boolean isExpanded)

### setParents

    public void setParents(java.util.List parents)

### getParents

    public java.util.List getParents()

### equals

    public boolean equals(IXTreeTableNode n)

### toDebug

    public java.lang.String toDebug()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD